KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLFrameElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Create a frame. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#edef-FRAME"> FRAME element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLFrameElement other)
| __init__ (self, DOM.Node other)
DOM.Document | contentDocument (self)
DOM.DOMString | frameBorder (self)
DOM.DOMString | longDesc (self)
DOM.DOMString | marginHeight (self)
DOM.DOMString | marginWidth (self)
DOM.DOMString | name (self)
bool | noResize (self)
DOM.DOMString | scrolling (self)
| setFrameBorder (self, DOM.DOMString a0)
| setLongDesc (self, DOM.DOMString a0)
| setMarginHeight (self, DOM.DOMString a0)
| setMarginWidth (self, DOM.DOMString a0)
| setName (self, DOM.DOMString a0)
| setNoResize (self, bool a0)
| setScrolling (self, DOM.DOMString a0)
| setSrc (self, DOM.DOMString a0)
DOM.DOMString | src (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLFrameElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.Document contentDocument | ( |  | self ) |

Introduced in DOM Level 2

Returns the document this frame contains, if there is any and it is available, a Null document otherwise. The attribute is read-only.

Returns:
  The content Document if available.

DOM.DOMString frameBorder | ( |  | self ) |

Request frame borders. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-frameborder"> frameborder attribute definition in HTML 4.0.

DOM.DOMString longDesc | ( |  | self ) |

URI designating a long description of this image or frame. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-longdesc-FRAME"> longdesc attribute definition in HTML 4.0.

DOM.DOMString marginHeight | ( |  | self ) |

Frame margin height, in pixels. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-marginheight"> marginheight attribute definition in HTML 4.0.

DOM.DOMString marginWidth | ( |  | self ) |

Frame margin width, in pixels. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-marginwidth"> marginwidth attribute definition in HTML 4.0.

DOM.DOMString name | ( |  | self ) |

The frame name (object of the target attribute). See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-name-FRAME"> name attribute definition in HTML 4.0.

bool noResize | ( |  | self ) |

When true, forbid user from resizing frame. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-noresize"> noresize attribute definition in HTML 4.0.

DOM.DOMString scrolling | ( |  | self ) |

Specify whether or not the frame should have scrollbars. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-scrolling"> scrolling attribute definition in HTML 4.0.

setFrameBorder | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see frameBorder

setLongDesc | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see longDesc

setMarginHeight | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see marginHeight

setMarginWidth | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see marginWidth

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name

setNoResize | ( | self, |
|  | bool | a0
| ) |  |  |

see noResize

setScrolling | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see scrolling

setSrc | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see src

DOM.DOMString src | ( |  | self ) |

A URI designating the initial frame contents. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-src-FRAME"> src attribute definition in HTML 4.0.